#
# spec file for package hashcat
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hashcat
Version:        3.00
Release:        1.1
Summary:        CPU-based password recovery utility
License:        MIT
Group:          Productivity/Security
Url:            https://hashcat.net/

#Git-Clone:	git://github.com/hashcat/hashcat
Source:         https://github.com/hashcat/hashcat/archive/v%version.tar.gz
Patch1:         flags.diff
BuildRequires:  gmp-devel
BuildRequires:  opencl-headers
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64

%description
Hashcat is an advanced CPU-based password recovery utility,
supporting seven unique modes of testing for over 100 optimized
hashing algorithms.

%prep
%setup -q
%patch -P 1 -p1

%build
make %{?_smp_mflags} COMPTIME=0 our_CFLAGS="%optflags" PREFIX="%_prefix"

%install
%make_install PREFIX="%_prefix" DOCUMENT_FOLDER="%_docdir/%name"

%files
%defattr(-,root,root)
%doc README.md docs/license.txt
%_bindir/hashcat
%_datadir/%name/
%_docdir/%name/

%changelog
* Thu Jun 30 2016 jengelh@inai.de
- Update to new upstream release oclhashcat-3.00
- Drop 0001-fixes-issue-10-compiler-warning-for-possible-memory-.patch
  (no longer applicable), add flags.diff.
* Sun Dec  6 2015 jengelh@inai.de
- Initial package for build.opensuse.org (version 2.00)
